/*
 * Tapiocaui app
 * Copyright (C) 2005 INdT
 * @author Abner Jose de Faria Silva <abner.silva@indt.org.br>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA02111-1307USA
 */

#ifndef __TAPIOCAUI_SHELL_SESSION_H__
#define __TAPIOCAUI_SHELL_SESSION_H__

#include "tapiocaui_shell.h"
#include "tapiocaui_shell_priv.h"

// session callbacks
void        tapiocaui_shell_state_changed_cb                  (TapiocaConnection *tc,
                                                               guint state,
                                                               gpointer user_data);
void        tapiocaui_shell_incoming_session_cb               (TapiocaConnection *tc,
                                                               const gchar *from,
                                                               guint type,
                                                               TapiocaSession *session,
                                                               gpointer user_data);
void        tapiocaui_shell_connection_error_cb               (TapiocaConnection *tc,
                                                               guint code,
                                                               gpointer user_data);
void        tapiocaui_shell_session_member_added_cb           (TapiocaSession *session,
                                                               const gchar *uri,
                                                               gpointer user_data);
void        tapiocaui_shell_session_member_removed_cb         (TapiocaSession *session,
                                                               const gchar *uri,
                                                               gpointer user_data);
void        tapiocaui_shell_session_add_member_er_cb          (TapiocaSession *session,
                                                               guint code,
                                                               gpointer user_data);
void        tapiocaui_shell_session_state_changed_cb          (TapiocaSession *session,
                                                               guint state,
                                                               gpointer user_data);
void        tapiocaui_shell_session_error_signal_cb           (TapiocaSession *session,
                                                               guint code,
                                                               gpointer user_data);
void        tapiocaui_shell_text_session_incoming_cb          (TapiocaTextSession *session,
                                                               const gchar *from,
                                                               guint type,
                                                               const gchar *subject,
                                                               const gchar *body,
                                                               guint timestamp,
                                                               guint notification_state,
                                                               gpointer user_data);
void        tapiocaui_shell_text_session_derror_cb            (TapiocaTextSession *session,
                                                               const gchar *from,
                                                               guint type,
                                                               const gchar *subject,
                                                               const gchar *body,
                                                               guint timestamp,
                                                               guint code,
                                                               gpointer user_data);

#endif
